com.intellectualcrafters.plot.commands

## Class SubCommand

- java.lang.Object
- - com.intellectualcrafters.plot.commands.SubCommand

- Direct Known Subclasses:
    Auto, Ban, Claim, Clear, Clipboard, Comment, Copy, Database, Debug, DebugClaimTest, DebugLoadTest, DebugSaveTest, Delete, Denied, DEOP, Help, Helpers, Home, Inbox, Info, Inventory, Kick, list, Merge, MusicSubcommand, OP, Paste, plugin, Purge, Rate, Reload, Schematic, Set, SetOwner, Setup, Swap, TP, Trusted, Unban, Unlink, Visit

      public abstract class SubCommand
      extends java.lang.Object

  SubCommand class

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SubCommand.CommandCategory`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `alias` Alias
    `SubCommand.CommandCategory` | `category`
    `java.lang.String` | `cmd` Command
    `java.lang.String` | `description` Simple description
    `boolean` | `isPlayer`
    `CommandPermission` | `permission` Permission node
    `java.lang.String` | `usage` Command usage

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubCommand(Command command, java.lang.String description, java.lang.String usage, SubCommand.CommandCategory category, boolean isPlayer)`
    `SubCommand(java.lang.String cmd, java.lang.String permission, java.lang.String description, java.lang.String usage, java.lang.String alias, SubCommand.CommandCategory category, boolean isPlayer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `execute(org.bukkit.entity.Player plr, java.lang.String... args)` Execute.
    `void` | `executeConsole(java.lang.String... args)`
    `boolean` | `sendMessage(org.bukkit.entity.Player plr, C c, java.lang.String... args)` Send a message

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isPlayer

          public boolean isPlayer

    - #### cmd

          public java.lang.String cmd

      Command

    - #### permission

          public CommandPermission permission

      Permission node

    - #### description

          public java.lang.String description

      Simple description

    - #### alias

          public java.lang.String alias

      Alias

    - #### usage

          public java.lang.String usage

      Command usage

    - #### category

          public SubCommand.CommandCategory category

  - ### Constructor Detail

    - #### SubCommand

          public SubCommand(java.lang.String cmd,
                    java.lang.String permission,
                    java.lang.String description,
                    java.lang.String usage,
                    java.lang.String alias,
                    SubCommand.CommandCategory category,
                    boolean isPlayer)

      Parameters:
        `cmd` - Command /plot {cmd} <-- That!
        `permission` - Permission Node
        `description` - Simple description
        `usage` - Usage description: /plot command {args...}
        `alias` - Command alias
        `category` - CommandCategory. Pick whichever closests to what you want.

    - #### SubCommand

          public SubCommand(Command command,
                    java.lang.String description,
                    java.lang.String usage,
                    SubCommand.CommandCategory category,
                    boolean isPlayer)

      Parameters:
        `command` - Command /plot {cmd} <-- That!
        `description` - Simple description
        `usage` - Usage description: /plot command {args...}
        `category` - CommandCategory. Pick whichever closests to what you want.

  - ### Method Detail

    - #### execute

          public abstract boolean execute(org.bukkit.entity.Player plr,
                        java.lang.String... args)

      Execute.
      Parameters:
        `plr` - executor
        `args` - arguments
      Returns:
        true on success, false on failure

    - #### executeConsole

          public void executeConsole(java.lang.String... args)

    - #### sendMessage

          public boolean sendMessage(org.bukkit.entity.Player plr,
                            C c,
                            java.lang.String... args)

      Send a message
      Parameters:
        `plr` -
        `c` -
        `args` -